org.apache.poi.util

## Class SystemOutLogger

- java.lang.Object
- - org.apache.poi.util.SystemOutLogger

- All Implemented Interfaces:
    POILogger

      public class SystemOutLogger
      extends java.lang.Object
      implements POILogger

  A logger class that strives to make it as easy as possible for developers to write log calls, while simultaneously making those calls as cheap as possible by performing lazy evaluation of the log message.

- - ### Field Summary

    - ### Fields inherited from interface org.apache.poi.util.POILogger

      `DEBUG, ERROR, FATAL, INFO, WARN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SystemOutLogger()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `_log(int level, java.lang.Object obj1)` Log a message
    `void` | `_log(int level, java.lang.Object obj1, java.lang.Throwable exception)` Log a message
    `boolean` | `check(int level)` Check if a logger is enabled to log at the specified level
    `void` | `initialize(java.lang.String cat)` Initialize the Logger - belongs to the SPI, called from the POILogFactory

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.poi.util.POILogger

      `log`

- - ### Constructor Detail

    - #### SystemOutLogger

          public SystemOutLogger()

  - ### Method Detail

    - #### initialize

          public void initialize(java.lang.String cat)

      Description copied from interface: `POILogger`
      Initialize the Logger - belongs to the SPI, called from the POILogFactory
      Specified by:
        `initialize` in interface `POILogger`
      Parameters:
        `cat` - the String that defines the log

    - #### _log

          public void _log(int level,
                           java.lang.Object obj1)

      Log a message
      Specified by:
        `_log` in interface `POILogger`
      Parameters:
        `level` - One of DEBUG, INFO, WARN, ERROR, FATAL
        `obj1` - The object to log.

    - #### _log

          public void _log(int level,
                           java.lang.Object obj1,
                           java.lang.Throwable exception)

      Log a message
      Specified by:
        `_log` in interface `POILogger`
      Parameters:
        `level` - One of DEBUG, INFO, WARN, ERROR, FATAL
        `obj1` - The object to log. This is converted to a string.
        `exception` - An exception to be logged

    - #### check

          public boolean check(int level)

      Check if a logger is enabled to log at the specified level
      Specified by:
        `check` in interface `POILogger`
      Parameters:
        `level` - One of DEBUG, INFO, WARN, ERROR, FATAL
      See Also:
        `POILogger.DEBUG`, `POILogger.INFO`, `POILogger.WARN`, `POILogger.ERROR`, `POILogger.FATAL`

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.